summaryrefslogtreecommitdiffstats
path: root/deps/qt5
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-05-09 16:00:45 +0200
committer Eric Hameleers <alien@slackware.com>2019-05-09 16:00:45 +0200
commit69943897d83f3e147c57039b087059b01727a0f3 (patch)
treee39ab0574e7585564973e52accdfc292d19fb2a8 /deps/qt5
parent551831d63c57987da4fa7c72b77b7bb810d5082e (diff)
downloadktown-69943897d83f3e147c57039b087059b01727a0f3.tar.gz
ktown-69943897d83f3e147c57039b087059b01727a0f3.tar.xz
Deps: update qt5 and also update/rebuild the 'deps' programs using it
Diffstat (limited to 'deps/qt5')
-rw-r--r--deps/qt5/.url2
-rw-r--r--deps/qt5/patches/qt5.qtbase_cmake_isystem_includes.patch14
-rwxr-xr-xdeps/qt5/qt5.SlackBuild24
3 files changed, 32 insertions, 8 deletions
diff --git a/deps/qt5/.url b/deps/qt5/.url
index 91a8b0c..43c00d1 100644
--- a/deps/qt5/.url
+++ b/deps/qt5/.url
@@ -1 +1 @@
-https://download.qt.io/official_releases/qt/5.12/5.12.1/single/qt-everywhere-src-5.12.1.tar.xz
+https://download.qt.io/official_releases/qt/5.12/5.12.3/single/qt-everywhere-src-5.12.3.tar.xz
diff --git a/deps/qt5/patches/qt5.qtbase_cmake_isystem_includes.patch b/deps/qt5/patches/qt5.qtbase_cmake_isystem_includes.patch
new file mode 100644
index 0000000..ff00e63
--- /dev/null
+++ b/deps/qt5/patches/qt5.qtbase_cmake_isystem_includes.patch
@@ -0,0 +1,14 @@
+diff -up qtbase-everywhere-src-5.12.1/src/gui/Qt5GuiConfigExtras.cmake.in.foo qtbase-everywhere-src-5.12.1/src/gui/Qt5GuiConfigExtras.cmake.in
+--- qtbase-everywhere-src-5.12.1/src/gui/Qt5GuiConfigExtras.cmake.in.foo 2019-04-30 15:18:24.886346423 -0500
++++ qtbase-everywhere-src-5.12.1/src/gui/Qt5GuiConfigExtras.cmake.in 2019-04-30 15:19:48.303873296 -0500
+@@ -66,8 +66,10 @@ unset(_GL_INCDIRS)
+ # Don\'t check for existence of the "_qt5gui_OPENGL_INCLUDE_DIR" because it is
+ # optional.
+
++if (NOT ${_qt5gui_OPENGL_INCLUDE_DIR} STREQUAL "/usr/include")
+ list(APPEND Qt5Gui_INCLUDE_DIRS ${_qt5gui_OPENGL_INCLUDE_DIR})
+ set_property(TARGET Qt5::Gui APPEND PROPERTY INTERFACE_INCLUDE_DIRECTORIES ${_qt5gui_OPENGL_INCLUDE_DIR})
++endif()
+
+ unset(_qt5gui_OPENGL_INCLUDE_DIR CACHE)
+
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index d257bd0..9ee003d 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -61,11 +61,12 @@
# Modifications for qt 5.11.2 2018 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.11.3 2018 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.12.1 2019 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt 5.12.3 2019 by Eric Hameleers, Eindhoven, NL
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=qt5
-VERSION=${VERSION:-5.12.1}
+VERSION=${VERSION:-5.12.3}
BUILD=${BUILD:-1}
PKGSRC=$(echo $VERSION |cut -d- -f1)
PKGVER=$(echo $VERSION |tr - _)
@@ -160,14 +161,23 @@ cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose || exit 1
# cat $CWD/patches/qt5.webengine_gcc8.patch | patch -p1 --verbose || exit 1
#cd - 1>/dev/null
-# QSyntaxHighlighter: cancel delayed highlight if done manually:
-cd qtbase
- cat $CWD/patches/qt5.delayed_highlight.patch | patch -p1 --verbose || exit 1
-cd - 1>/dev/null
+## QSyntaxHighlighter: cancel delayed highlight if done manually:
+#cd qtbase
+# cat $CWD/patches/qt5.delayed_highlight.patch | patch -p1 --verbose || exit 1
+#cd - 1>/dev/null
+
+## Fix regression in QPlainTextEdit updating (QTBUG-69310):
+#cd qtbase
+# cat $CWD/patches/qt5.qtbug-69310.patch | patch -p1 --verbose || exit 1
+#cd - 1>/dev/null
-# Fix regression in QPlainTextEdit updating (QTBUG-69310):
+# CMake generates wrong -isystem /usr/include compilations flags with Qt5::Gui
+# and for it breaks KWin compilation with:
+# /usr/include/c++/9.1.0/cstdlib:75:15: fatal error: stdlib.h: No such file or directory
+# See also https://bugzilla.redhat.com/1704474
cd qtbase
- cat $CWD/patches/qt5.qtbug-69310.patch | patch -p1 --verbose || exit 1
+ cat $CWD/patches/qt5.qtbase_cmake_isystem_includes.patch \
+ | patch -p1 --verbose || exit 1
cd - 1>/dev/null
if ! pkg-config --exists libpulse 2>/dev/null ; then